public class Animal extends Thing{
    private int mood; //Stores the Animal's mood
    private String[] foods; //Stores the names of things that can be used as foods

    /* Creates a Thing with a mood that can be pet and fed. */
    public Animal(String[] names, String description, boolean hidden, int mood, String[] foods){
        super(names, description, false, hidden);
        this.mood = mood;
        this.foods = foods;
    }

    /* Returns the state passed in if it exists, otherwise returns false. */
    @Override
    public boolean isState(String state){
        if(state.equals("animal")){
            return true;
        }
        if(state.equals("happy")){
            return mood >= 40;
        }
        return super.isState(state);
    }

    /*
    * Changes the mood by petting or passing in a compatible food, as well as all inherited states.
    * Returns a String describing the action that happened.
    */
    @Override
    public String changeState(String command){
        if(command.equals("pet")){
            if(mood < 25){
                return "It shies away.";
            }
            mood += 10;
            return "You gently run your hand across its back.";
        }
        for(int i = 0; i < foods.length; i++){
            if(command.equals(foods[i])){
                mood += 20;
                String text = "It gobbles up your " + foods[i] + ".";
                if(mood < 40){
                    text += " It looks a little happier now.";
                }
                else{
                    text += " It looks much happier now.";
                }
                return text;
            }
        }
        return super.changeState(command);
    }
}