public class LightableRoom extends Room{
    public LightableRoom(String name, String description){
        super(name, description);
    }

    /* Tests whether there are any lit lamps in the room's contents or player's inventory. Returns true if there are none. */
    @Override
    public boolean isState(String state){
        if(state.equals("lit")){
            for(int i = 0; i < getContents().size(); i++){
                if(getContents().get(i).isState("lamp") && getContents().get(i).isState("on")){
                    return true;
                }
            }
            int playerIndex = findIndexOfThing("player");
            for(int i = 0; i < getContents().get(playerIndex).getContents().size(); i++){
                if(getContents().get(playerIndex).getContents().get(i).isState("lamp") && getContents().get(playerIndex).getContents().get(i).isState("on")){
                    return true;
                }
            }
            return false;
        }
        return super.isState(state);
    }
    
    /* Hides the Room's description and contents if the room is dark, printing "It's too dark to see anything!" instead. */
    @Override
    public String toString(){
        if(!isState("lit")){
            return "**" + getName().toUpperCase() + "**" + "\n" + "It's too dark to see anything!";
        }
        else{
            return super.toString();
        }
    }
}