public class OpenableContainer extends Container{
    private boolean open; //Stores whether or not the container is open

    /* Creates a Container that can be opened and closed. */
    public OpenableContainer(String[] names, String description, boolean movable, boolean hidden){
        super(names, description, movable, hidden);
    }

    /* Returns the state passed in if it exists, otherwise returns false. */
    @Override
    public boolean isState(String state){
        if(state.equals("open")){
            return open;
        }
        return super.isState(state);
    }

    /*
    * Changes the open state and all inherited states.
    * Returns a String describing the action that happened.
    */
    @Override
    public String changeState(String command){
        if(command.equals("open")){
            if(open){
                return "It's already open!";
            }
            open = true;
            return "You open it.";
        }
        if(command.equals("close")){
            if(!open){
                return "It's already closed!";
            }
            open = false;
            return "You close it.";
        }
        return super.changeState(command);
    }

    /* Prints the formatted name, description, and list of contents if the container is open. */
    @Override
    public String toString(){
        if(open){
            return super.toString();
        }
        String isAre = "is";
        String its = "It's";
        if(getDefaultName().charAt(getDefaultName().length() - 1) == 's'){
            isAre = "are";
            its = "They're";
        }
        return "The " + getDefaultName() + " " + isAre + " " + super.getDescription() + ". " + its + " closed.";
    }
}