public class Recipe extends Thing {
    String[] ingredients; //Stores the names of the ingredients the Recipe requires

    /* Creates a recipe that allows the player to cook a Thing */
    public Recipe(String[] names, String recipeName, String[] ingredients, boolean hidden){
        super(names, recipeName, true, hidden);
        this.ingredients = ingredients;
    }

    /* Returns the ingredients. */
    @Override
    public String[] getIngredients(){
        return ingredients;
    }

    /* Returns a formatted list of the ingredients. */
    @Override
    public String getFormattedContents(){
        String result = "Looks like it needs";
        for(int i = 0; i < ingredients.length; i++){
            boolean last = i == ingredients.length - 1;
            if(i > 0 && !(i ==1 && last)){
                result += ",";
            }
            if(i + 1 == ingredients.length){
                result += " and";
            }
            result += " a";
            if(ingredients[i].charAt(0) == 'a' || ingredients[i].charAt(0) == 'e' ||ingredients[i].charAt(0) == 'i' || ingredients[i].charAt(0) == 'o' || ingredients[i].charAt(0) == 'u'){
                result += "n";
            }
            result += " " + ingredients[i];
        }
        return result + ".";
    }

    /* Returns the name and formatted list of ingredients. */
    @Override
    public String toString(){
        return "It's a recipe for " + getDescription() + ". " + getFormattedContents();
    }
}
